> For the complete documentation index, see [llms.txt](https://docs.accurascan.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.accurascan.com/solutions/nfc-scanner/ios/setup-accura-nfc.md).

# Setup Accura NFC

### **To initialize sdk on app start:**

```
import AccuraOCR
var accuraCameraWrapper: AccuraCameraWrapper? = nil
var arrCountryList = NSMutableArray()
accuraCameraWrapper = AccuraCameraWrapper.init()
	let sdkModel = accuraCameraWrapper.loadEngine(your PathForDirectories)
	if (sdkModel.i > 0) {
		if(sdkModel!.isNFCEnable) {
			print("License Valid")
		}
	}
```

### &#x20;**Set NFC**

{% hint style="warning" %}
Important Grant NFCReaderUsageDescription Permission.
{% endhint %}

```
<key>NSCameraUsageDescription</key>
<string>App usage camera for scan documents.</string>
<key>NFCReaderUsageDescription</key>
<string>App requires NFC access</string>
<key>com.apple.developer.nfc.readersession.iso7816.select-identifiers</key>
<array>
    <string>A0000002471001</string>
    <string>A0000002472001</string>
    <string>00000000000000</string>
</array>
```

### **Start NFC**

```
import AccuraOCR
    
    var accuraCameraWrapper = AccuraCameraWrapper.init(delegate: self)
    accuraCameraWrapper?.startNFC(forPassport: {Date of Birth}, doe: {Date of Expiry}, passportNumber: {Passport Number})
```

### **NFC Response**

```
extension ViewController: VideoCameraWrapperDelegate{
        func nfcData(_ NFCKey: [Any]!, nfcValue NFCValue: [Any]!, face: UIImage!) {}
        
        func nfcError(_ error: String!) {}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.accurascan.com/solutions/nfc-scanner/ios/setup-accura-nfc.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
